document.addEventListener('DOMContentLoaded', () => {
  const terminal = document.querySelector('.terminal-content');
  const commands = {
    'help': 'Available commands: help, about, clear, discord',
    'about': 'Terminal Scroll - A fusion of command-line interface and Discord community.',
    'discord': 'Join our Discord server at discord.gg/terminalscroll',
    'clear': () => {
      terminal.innerHTML = '<div class="command-line"><span>$</span><span>Terminal cleared</span></div>';
    }
  };

  let commandHistory = [];
  let historyIndex = -1;

  function addCommand(input) {
    const line = document.createElement('div');
    line.className = 'command-line';
    line.innerHTML = `<span>$</span><span>${input}</span>`;
    terminal.appendChild(line);

    if (commands[input]) {
      const response = document.createElement('div');
      response.className = 'command-line';
      if (typeof commands[input] === 'function') {
        commands[input]();
      } else {
        response.innerHTML = `<span></span><span>${commands[input]}</span>`;
        terminal.appendChild(response);
      }
    } else if (input) {
      const response = document.createElement('div');
      response.className = 'command-line';
      response.innerHTML = `<span></span><span>Command not found: ${input}</span>`;
      terminal.appendChild(response);
    }
  }

  document.addEventListener('keypress', (e) => {
    if (e.key === 'Enter') {
      const input = document.querySelector('.terminal-input')?.value?.toLowerCase();
      if (input) {
        commandHistory.push(input);
        historyIndex = commandHistory.length;
        addCommand(input);
      }
    }
  });
});